#189 Debugger doesn't work

v0.3.11
closed-duplicate
Stephan Ruehl
Debugger (177)
5
2005-09-21
2005-08-26
Uwe
No

I use Eclipse 3.1 with Perl version 5.8.6 on Linux.

The following error message occurs during loading the
Debug View

!ENTRY org.eclipse.core.runtime 4 2 2005-08-26 10:46:01.605
!MESSAGE An internal error occurred during: "Initialize
Debug View".
!STACK 0
java.lang.NullPointerException
at
org.eclipse.debug.internal.ui.views.launch.LaunchView.findFrame(LaunchView.java:454)
at
org.eclipse.debug.internal.ui.views.launch.LaunchView.access$5(LaunchView.java:446)
at
org.eclipse.debug.internal.ui.views.launch.LaunchView$3.run(LaunchView.java:420)
at
org.eclipse.core.internal.jobs.Worker.run(Worker.java:76)

the logfile contains also the following lines:

!SESSION 2005-08-26 09:58:36.207
-----------------------------------------------
eclipse.buildId=I20050627-1435
java.version=1.4.2_07
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=linux, ARCH=x86, WS=gtk, NL=de_DE
Command-line arguments: -os linux -ws gtk -arch x86

!ENTRY org.eclipse.ui 1 0 2005-08-26 09:58:43.672
!MESSAGE Warnings while parsing the commands from the
'org.eclipse.ui.commands' and
'org.eclipse.ui.actionDefinitions' extension points.
!SUBENTRY 1 org.eclipse.ui 1 0 2005-08-26 09:58:43.673
!MESSAGE Commands should really have a category, not
categoryId='': plug-in='org.epic.perleditor',
commandId='org.epic.perleditor.toggleco
mment'.
!SUBENTRY 1 org.eclipse.ui 1 0 2005-08-26 09:58:43.673
!MESSAGE Commands should really have a category, not
categoryId='': plug-in='org.epic.perleditor',
commandId='org.epic.perleditor.contenta
ssist'.
!SUBENTRY 1 org.eclipse.ui 1 0 2005-08-26 09:58:43.673
!MESSAGE Commands should really have a category, not
categoryId='': plug-in='org.epic.perleditor',
commandId='org.epic.perleditor.htmlexpo
rt'.
!SUBENTRY 1 org.eclipse.ui 1 0 2005-08-26 09:58:43.674
!MESSAGE Commands should really have a category, not
categoryId='': plug-in='org.epic.perleditor',
commandId='org.epic.perleditor.validate
syntax'.
!SUBENTRY 1 org.eclipse.ui 1 0 2005-08-26 09:58:43.674
!MESSAGE Commands should really have a category, not
categoryId='': plug-in='org.epic.perleditor',
commandId='org.epic.perleditor.formatso
urce'.
!SUBENTRY 1 org.eclipse.ui 1 0 2005-08-26 09:58:43.675
!MESSAGE Commands should really have a category, not
categoryId='': plug-in='org.epic.perleditor',
commandId='org.epic.perleditor.openDecl
aration'.
!SUBENTRY 1 org.eclipse.ui 1 0 2005-08-26 09:58:43.675
!MESSAGE Commands should really have a category, not
categoryId='': plug-in='org.epic.perleditor',
commandId='org.epic.perleditor.searchPe
rlDoc'.
!SUBENTRY 1 org.eclipse.ui 1 0 2005-08-26 09:58:43.675
!MESSAGE Commands should really have a category, not
categoryId='': plug-in='org.epic.perleditor',
commandId='org.epic.perleditor.jump2Bra
cket'.

!ENTRY org.eclipse.ui 2 0 2005-08-26 09:58:43.891
!MESSAGE Warnings while parsing the key bindings from
the 'org.eclipse.ui.commands' extension point
!SUBENTRY 1 org.eclipse.ui 2 0 2005-08-26 09:58:43.892
!MESSAGE Cannot bind to an undefined command:
plug-in='org.epic.perleditor',
commandId='org.epic.eclipse.perleditor.togglecomment'.

Discussion

  • Stephan Ruehl
    Stephan Ruehl
    2005-09-21

    Logged In: YES
    user_id=775841

    Same as [ 1293320 ] . Will be fixed in 0.3.13.

     
  • Stephan Ruehl
    Stephan Ruehl
    2005-09-21

    • status: open --> closed-duplicate